#!/bin/sh

. /tmp/openit-cfg-shenv

#Get the first two part of the version
if [ -e $CONFIG_DIR/version ]; then
	ver=`cat $CONFIG_DIR/version | cut -d "." -f 1-3 | tr -d '.'`
else
	ver=`grep VERSION $CONFIG_DIR/../inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 1-3 | tr -d '.'`
fi

#If the version is greater than 64 use the files from php otherwise use files from php64
if [ $ver -ge 650 ]; then
	version="65"
else
	version="64"
fi

#Copy php files to installation folder
cp -R source/php$version/* $ROOT_DIR/

#If the version is greater than 651 use the 65_ReportTemplates.pm otherwise use 64_ReportTemplates.pm
if [ $ver -gt 650 ]; then
	version="65"
else
	version="64"
fi
cp source/${version}_ReportTemplates.pm $ROOT_DIR/lib/OpeniT/WebModules/ReportTemplates.pm

exit 0
